
=encoding utf8

=head1 NAME

Sidef::Object::Enumerator

=head1 DESCRIPTION

This class implements ...

=head1 SYNOPSIS

var obj = Enumerator(...)

=head1 METHODS

=head2 count

    Enumerator.count()

Returns the

Aliases: I<count_by>

=cut

=head2 each

    Enumerator.each()

Returns the

=cut

=head2 first

    Enumerator.first()

Returns the

=cut

=head2 grep

    Enumerator.grep()

Returns the

Aliases: I<select>

=cut

=head2 len

    Enumerator.len()

Returns the

Aliases: I<size>, I<length>

=cut

=head2 map

    Enumerator.map()

Returns the

Aliases: I<collect>

=cut

=head2 new

    Enumerator.new()

Returns the

Aliases: I<call>

=cut

=head2 to_a

    Enumerator.to_a()

Returns the

=cut

=head2 while

    Enumerator.while()

Returns the

=cut
